AI Music API
Home
Home
  1. sonic
  • Introduction
  • Credits Usage Guide
  • AI Music API FAQ & Troubleshooting
  • Special Scenarios
  • Error handling
  • Webhook Integration Guide
  • sonic
    • Sonic Instructions
    • create / extend / cover music
      POST
    • upload and extend music
      POST
    • upload and cover music
      POST
    • create persona
      POST
    • sample
      POST
    • mashup
      POST
    • get BPM
      POST
    • get VOX
      POST
    • get wav
      POST
    • get midi
      POST
    • get lyrics timeline
      POST
    • upsample tags
      POST
    • concat music
      POST
    • stems basic
      POST
    • stems full
      POST
    • remaster
      POST
    • replace section
      POST
    • add vocal
      POST
    • add instrumental
      POST
    • upload music
      POST
    • get music
      GET
  • riffusion(Deprecated)
    • Riffusion instructions
    • create music (with lyrics)
    • create music (with description)
    • cover music
    • extend music
    • replace music section
    • swap music sound
    • swap music vocals
    • upload
    • get music
  • producer
    • Producer Instructions
    • Complete Request Example
    • create music
    • upload
    • download
    • get music
  • nuro
    • Nuro Instruction
    • Error handling
    • create vocal music
    • create instrument music
    • get music
  • lyrics generation
    • Make Lyrics
  • get-credits
    GET
  • Schemas
    • 记录不存在
    • 参数不正确
Home
Home
  1. sonic

add vocal

POST
https://api.aimusicapi.ai/api/v1/sonic/create
Add vocals that match the original track to the music you've uploaded via our API by using custom parameters. Please note: this feature only works with tracks uploaded through our API.And the clip id must generated in 24h.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Example
{
  "task_type": "add_vocals",
  "continue_clip_id": "2dc3b5a1-7a03-4bba-9d70-420555814864", 
  //please replace this clip id to a new uploaded clip id
  "mv": "chirp-v5",
  "custom_mode": true,
  "prompt": "[Verse 1] I've been running in circles Chasing my doubts Trying to quiet the silence That's been too loud Every street light flickers With a memory But none of them shine like you did to me [Chorus] And I know we said goodbye But it never felt right Every step I take Just pulls me back in time I keep coming back to you Like the ocean to the moon Every night I try to move But the stars still spell your name I keep falling into you No matter what I do There's a gravity, a truth That I can't escape",
  "tags": "pop",
  //"gpt_description_prompt":"description of the vocal and lyrics",
  // You can use prompts and tags to specify lyrics and style, or use gpt_description_prompt for song description; you can only choose one of them.
  "style_weight": 0.5,
  "weirdness_constraint": 0.3,
  "audio_weight": 0.7,
  "overpainting_start_s": 0,
  "overpainting_end_s": 20,
  "vocal_gender": "f"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.aimusicapi.ai/api/v1/sonic/create' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "task_type": "add_vocals",
  "continue_clip_id": "2dc3b5a1-7a03-4bba-9d70-420555814864", 
  //please replace this clip id to a new uploaded clip id
  "mv": "chirp-v5",
  "custom_mode": true,
  "prompt": "[Verse 1] I'\''ve been running in circles Chasing my doubts Trying to quiet the silence That'\''s been too loud Every street light flickers With a memory But none of them shine like you did to me [Chorus] And I know we said goodbye But it never felt right Every step I take Just pulls me back in time I keep coming back to you Like the ocean to the moon Every night I try to move But the stars still spell your name I keep falling into you No matter what I do There'\''s a gravity, a truth That I can'\''t escape",
  "tags": "pop",
  //"gpt_description_prompt":"description of the vocal and lyrics",
  // You can use prompts and tags to specify lyrics and style, or use gpt_description_prompt for song description; you can only choose one of them.
  "style_weight": 0.5,
  "weirdness_constraint": 0.3,
  "audio_weight": 0.7,
  "overpainting_start_s": 0,
  "overpainting_end_s": 20,
  "vocal_gender": "f"
}'

Responses

🟢200Success
application/json
Body

Example
{
    "message": "success",
    "task_id": "aac70c26-c633-4d0c-880f-91610006f9b5"
}
Modified at 2025-12-25 06:42:44
Previous
replace section
Next
add instrumental
Built with